Commet
  • Precios
Iniciar SesiónRegistrarse
Cancel a payment link POSTCharge a customer POSTCreate a payment link POSTGet payment GETList payments GET
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Get payment

Retrieve a payment by its public ID.

GET
/payments/{id}

Retrieve a payment by its public ID.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/payments/string"
{  "success": true,  "data": {    "id": "string",    "customerId": "string",    "kind": "link",    "status": "pending",    "provider": "stripe",    "amountSubtotal": -9007199254740991,    "taxAmount": -9007199254740991,    "amountTotal": -9007199254740991,    "currency": "string",    "description": "string",    "metadata": {      "property1": null,      "property2": null    },    "url": "string",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "object": "payment",    "livemode": true  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Create a payment link POST

Create a hosted payment link. Returns a url the customer opens to pay with any card. Calculates tax, generates an invoice, and vaults the payment method on confirmation. No subscription or plan required.

List payments GET

List payments with cursor-based pagination. Filter by customer.